Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface HasHorizontalScrolling

All Known Subinterfaces:
  HasScrolling, HorizontalScrollbar

All Known Implementing Classes:
  CustomScrollPanel, NativeHorizontalScrollbar, ScrollPanel

    public interface HasHorizontalScrolling

Implemented by widgets that support horizontal scrolling.

Method Summary
`int` | `getHorizontalScrollPosition()` Gets the horizontal scroll position.
`int` | `getMaximumHorizontalScrollPosition()` Get the maximum position of horizontal scrolling.
`int` | `getMinimumHorizontalScrollPosition()` Get the minimum position of horizontal scrolling.
`void` | `setHorizontalScrollPosition(int position)` Sets the horizontal scroll position.

Method Detail

### getHorizontalScrollPosition

    int getHorizontalScrollPosition()

  Gets the horizontal scroll position.

  Returns:
    the horizontal scroll position, in pixels

### getMaximumHorizontalScrollPosition

    int getMaximumHorizontalScrollPosition()

  Get the maximum position of horizontal scrolling. This is usually the `scrollWidth - clientWidth`.

  Returns:
    the maximum horizontal scroll position

### getMinimumHorizontalScrollPosition

    int getMinimumHorizontalScrollPosition()

  Get the minimum position of horizontal scrolling.

  Returns:
    the minimum horizontal scroll position

### setHorizontalScrollPosition

    void setHorizontalScrollPosition(int position)

  Sets the horizontal scroll position.

  Parameters:
    `position` - the new horizontal scroll position, in pixels

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD